Index: install.pri
===================================================================
--- install.pri	(revision 5631fb4d50bf31e26bec1f43169bd84c9058bd05)
+++ install.pri	(revision d8a3826f870afc2e79ce949111e1726c49002f46)
@@ -23,21 +23,21 @@
 #     go to /usr/share/doc/TSPSG-x.x.x
 unix:!macx:!symbian:!maemo* {
-	isEmpty(PREFIX) {
-		PREFIX = /usr
-	}
-	CONFIG(release, debug|release) {
-		DEFINES += PATH_L10N=\\\"$$PREFIX/share/TSPSG/l10n\\\"
-		DEFINES += PATH_DOCS=\\\"$$PREFIX/share/TSPSG/docs\\\"
-	}
+    isEmpty(PREFIX) {
+        PREFIX = /usr
+    }
+    CONFIG(release, debug|release) {
+        DEFINES += PATH_L10N=\\\"$$PREFIX/share/TSPSG/l10n\\\"
+        DEFINES += PATH_DOCS=\\\"$$PREFIX/share/TSPSG/docs\\\"
+    }
 
-	target.path = $$PREFIX/bin
-	share.path = $$PREFIX/share/TSPSG
+    target.path = $$PREFIX/bin
+    share.path = $$PREFIX/share/TSPSG
 #	l10n.path = $$PREFIX/share/TSPSG/l10n
-	docs.path = $$PREFIX/share/doc/TSPSG-$$VERSION
-	desktop.files = resources/tspsg.desktop
-	desktop.path = $$PREFIX/share/applications
-	icon.files = resources/tspsg.png
-	icon.path = $$PREFIX/share/pixmaps
-	INSTALLS += desktop icon
+    docs.path = $$PREFIX/share/doc/TSPSG-$$VERSION
+    desktop.files = resources/tspsg.desktop
+    desktop.path = $$PREFIX/share/applications
+    icon.files = resources/tspsg.png
+    icon.path = $$PREFIX/share/pixmaps
+    INSTALLS += desktop icon
 }
 
@@ -48,98 +48,98 @@
 # For win32: everything goes to "%PROGRAMFILES%\TSPSG" and subfolders.
 win32 {
-	isEmpty(PREFIX) {
-		PREFIX = "$$(PROGRAMFILES)"
-	}
+    isEmpty(PREFIX) {
+        PREFIX = "$$(PROGRAMFILES)"
+    }
 
-	share.files = $$[QT_INSTALL_BINS]/QtCore$${D}4.dll \
-		$$[QT_INSTALL_BINS]/QtGui$${D}4.dll
-	!nosvg {
-		share.files += $$[QT_INSTALL_BINS]/QtSvg$${D}4.dll
-	}
+    share.files = $$[QT_INSTALL_BINS]/QtCore$${D}4.dll \
+        $$[QT_INSTALL_BINS]/QtGui$${D}4.dll
+    !nosvg {
+        share.files += $$[QT_INSTALL_BINS]/QtSvg$${D}4.dll
+    }
 #	l10n.files += $$[QT_INSTALL_TRANSLATIONS]/*.qm
-	win32-g++ {
-		share.files += $$[QT_INSTALL_BINS]/mingwm10.dll \
-			$$[QT_INSTALL_BINS]/libgcc_s_dw2-1.dll
-	}
-	imageformats.files = $$[QT_INSTALL_PLUGINS]/imageformats/qjpeg$${D}4.dll \
-		$$[QT_INSTALL_PLUGINS]/imageformats/qtiff$${D}4.dll
-	imageformats.path = $$PREFIX/TSPSG/imageformats
-	INSTALLS += share imageformats
+    win32-g++ {
+        share.files += $$[QT_INSTALL_BINS]/mingwm10.dll \
+            $$[QT_INSTALL_BINS]/libgcc_s_dw2-1.dll
+    }
+    imageformats.files = $$[QT_INSTALL_PLUGINS]/imageformats/qjpeg$${D}4.dll \
+        $$[QT_INSTALL_PLUGINS]/imageformats/qtiff$${D}4.dll
+    imageformats.path = $$PREFIX/TSPSG/imageformats
+    INSTALLS += share imageformats
 }
 
 # For wince: we are deploying to \Program Files\TSPSG.
 wince* {
-	isEmpty(PREFIX) {
-		PREFIX = "\\Program Files"
-	}
-	share.sources = $$share.files
+    isEmpty(PREFIX) {
+        PREFIX = "\\Program Files"
+    }
+    share.sources = $$share.files
 #	l10n.sources = $$l10n.files \
 #		$$[QT_INSTALL_TRANSLATIONS]/*.qm
-	docs.sources = $$docs.files
+    docs.sources = $$docs.files
 
-	DEPLOYMENT += target share docs # l10n
-	DEPLOYMENT_PLUGIN += qjpeg qtiff
+    DEPLOYMENT += target share docs # l10n
+    DEPLOYMENT_PLUGIN += qjpeg qtiff
 }
 
 # win32 and wince common
 win* {
-	target.path = $$PREFIX/TSPSG
-	share.path = $$PREFIX/TSPSG
+    target.path = $$PREFIX/TSPSG
+    share.path = $$PREFIX/TSPSG
 #	l10n.path = $$PREFIX/TSPSG/l10n
-	docs.path = $$PREFIX/TSPSG
+    docs.path = $$PREFIX/TSPSG
 }
 
 # Symbian
 symbian {
-	TARGET = TSPSG$${D}
+    TARGET = TSPSG$${D}
 
-	share.sources = $$share.files
-	# qmake for Symbian (as of Qt 4.6.2) has a bug: file masks doesn't work, so we need to specify all files manually
+    share.sources = $$share.files
+    # qmake for Symbian (as of Qt 4.6.2) has a bug: file masks doesn't work, so we need to specify all files manually
 #	l10n.sources = $$[QT_INSTALL_TRANSLATIONS]/qt_ru.qm \
 #		$$[QT_INSTALL_TRANSLATIONS]/qt_uk.qm \
 #		l10n/tspsg_en.qm l10n/tspsg_ru.qm l10n/tspsg_uk.qm
 #	l10n.path = l10n
-	docs.sources = $$docs.files
+    docs.sources = $$docs.files
 #	docs.pkg_prerules = \
 #		"\"README.txt\" - \"\", FILETEXT, TEXTCONTINUE" \
 #		"\"COPYING\" - \"\", FILETEXT, TEXTEXIT"
-	DEPLOYMENT += share docs # l10n
+    DEPLOYMENT += share docs # l10n
 #	DEPLOYMENT_PLUGIN += qjpeg qtiff qsvgicon
 
-	ICON = resources/tspsg.svg
-	TARGET.EPOCHEAPSIZE = 0x20000 0x1100000
-	# OVI Publish - 0x2003AEFB, Self-signed - 0xA89FD7A3
-	TARGET.UID3 = 0xA89FD7A3
+    ICON = resources/tspsg.svg
+    TARGET.EPOCHEAPSIZE = 0x20000 0x1100000
+    # OVI Publish - 0x2003AEFB, Self-signed - 0xA89FD7A3
+    TARGET.UID3 = 0xA89FD7A3
 #	TARGET.UID3 = 0x2003AEFB
 
-	languages="&EN,RU,UK"
-	package_header = "$$LITERAL_HASH{" \
-		" \"$$QMAKE_TARGET_PRODUCT\"," \
-		" \"$$QMAKE_TARGET_PRODUCT\"," \
-		" \"$$QMAKE_TARGET_PRODUCT\"" \
-		"},($$TARGET.UID3),$$BUILD_VERSION_MAJOR,$${BUILD_VERSION_MINOR}$${BUILD_RELEASE},$$REVISION"
-	vendor = \
-		"%{\"Oleksii Serdiuk\",\"Алексей Сердюк\",\"Олексій Сердюк\"}" \
-		":\"Oleksii Serdiuk\""
+    languages="&EN,RU,UK"
+    package_header = "$$LITERAL_HASH{" \
+        " \"$$QMAKE_TARGET_PRODUCT\"," \
+        " \"$$QMAKE_TARGET_PRODUCT\"," \
+        " \"$$QMAKE_TARGET_PRODUCT\"" \
+        "},($$TARGET.UID3),$$BUILD_VERSION_MAJOR,$${BUILD_VERSION_MINOR}$${BUILD_RELEASE},$$REVISION"
+    vendor = \
+        "%{\"Oleksii Serdiuk\",\"Алексей Сердюк\",\"Олексій Сердюк\"}" \
+        ":\"Oleksii Serdiuk\""
 #	logo = \
 #		"=\"resources/tspsg.png\",\"image/png\",\"\""
-	dependencies = \
-		"; Depend on Qt $${QT_MAJOR_VERSION}.$${QT_MINOR_VERSION}.$${QT_PATCH_VERSION}" \
-		"(0x2001E61C),$${QT_MAJOR_VERSION},$${QT_MINOR_VERSION},$${QT_PATCH_VERSION},{\"Qt\",\"Qt\",\"Qt\"}" \
-		"; Declare the supported platforms" \
-		"; Symbian^1" \
-		"[0x1028315F],0,0,0,{\"S60ProductID\",\"S60ProductID\",\"S60ProductID\"}" \
-		"; Symbian^3" \
-		"[0x20022E6D],0,0,0,{\"S60ProductID\",\"S60ProductID\",\"S60ProductID\"}"
+    dependencies = \
+        "; Depend on Qt $${QT_MAJOR_VERSION}.$${QT_MINOR_VERSION}.$${QT_PATCH_VERSION}" \
+        "(0x2001E61C),$${QT_MAJOR_VERSION},$${QT_MINOR_VERSION},$${QT_PATCH_VERSION},{\"Qt\",\"Qt\",\"Qt\"}" \
+        "; Declare the supported platforms" \
+        "; Symbian^1" \
+        "[0x1028315F],0,0,0,{\"S60ProductID\",\"S60ProductID\",\"S60ProductID\"}" \
+        "; Symbian^3" \
+        "[0x20022E6D],0,0,0,{\"S60ProductID\",\"S60ProductID\",\"S60ProductID\"}"
 
-	default_deployment.pkg_prerules -= pkg_platform_dependencies pkg_depends_qt
-	default_deployment.pkg_prerules += languages package_header vendor dependencies
+    default_deployment.pkg_prerules -= pkg_platform_dependencies pkg_depends_qt
+    default_deployment.pkg_prerules += languages package_header vendor dependencies
 #	default_deployment.pkg_prerules += languages package_header vendor logo dependencies
-	# OVI Publish - 0x2002CCCF, Self-signed - 0xA000D7CE
-	DEPLOYMENT.installer_header = "$${LITERAL_HASH}{" \
-		"\"$$QMAKE_TARGET_PRODUCT Installer\"," \
-		"\"Установщик $$QMAKE_TARGET_PRODUCT\"," \
-		"\"Встановлювач $$QMAKE_TARGET_PRODUCT\"" \
-		"},(0xA000D7CE),$$BUILD_VERSION_MAJOR,$${BUILD_VERSION_MINOR}$${BUILD_RELEASE},$$REVISION"
+    # OVI Publish - 0x2002CCCF, Self-signed - 0xA000D7CE
+    DEPLOYMENT.installer_header = "$${LITERAL_HASH}{" \
+        "\"$$QMAKE_TARGET_PRODUCT Installer\"," \
+        "\"Установщик $$QMAKE_TARGET_PRODUCT\"," \
+        "\"Встановлювач $$QMAKE_TARGET_PRODUCT\"" \
+        "},(0xA000D7CE),$$BUILD_VERSION_MAJOR,$${BUILD_VERSION_MINOR}$${BUILD_RELEASE},$$REVISION"
 #		"},(0x2002CCCF),$$BUILD_VERSION_MAJOR,$${BUILD_VERSION_MINOR}$${BUILD_RELEASE},$$REVISION"
 }
@@ -147,10 +147,10 @@
 # Maemo 5
 maemo5 {
-	target.path = /opt/usr/bin
-	desktop.files = qtc_packaging/tspsg.desktop
-	desktop.path = /usr/share/applications/hildon
-	icon.files = qtc_packaging/tspsg.png
-	icon.path = /usr/share/icons/hicolor/64x64/apps
+    target.path = /opt/usr/bin
+    desktop.files = qtc_packaging/tspsg.desktop
+    desktop.path = /usr/share/applications/hildon
+    icon.files = qtc_packaging/tspsg.png
+    icon.path = /usr/share/icons/hicolor/64x64/apps
 
-	INSTALLS += desktop icon
+    INSTALLS += desktop icon
 }
Index: tspsg.pri
===================================================================
--- tspsg.pri	(revision 5631fb4d50bf31e26bec1f43169bd84c9058bd05)
+++ tspsg.pri	(revision d8a3826f870afc2e79ce949111e1726c49002f46)
@@ -13,39 +13,39 @@
 #Header files
 HEADERS += src/globals.h \
-	src/version.h \
-	src/os.h \
-	src/defaults.h \
-	src/mainwindow.h \
-	src/settingsdialog.h \
-	src/tspmodel.h \
-	src/tspsolver.h \
-	src/resource.h \
-	src/qtwin.h
+    src/version.h \
+    src/os.h \
+    src/defaults.h \
+    src/mainwindow.h \
+    src/settingsdialog.h \
+    src/tspmodel.h \
+    src/tspsolver.h \
+    src/resource.h \
+    src/qtwin.h
 
 #Source files
 SOURCES += src/main.cpp \
-	src/globals.cpp \
-	src/mainwindow.cpp \
-	src/settingsdialog.cpp \
-	src/tspmodel.cpp \
-	src/tspsolver.cpp \
-	src/qtwin.cpp
+    src/globals.cpp \
+    src/mainwindow.cpp \
+    src/settingsdialog.cpp \
+    src/tspmodel.cpp \
+    src/tspsolver.cpp \
+    src/qtwin.cpp
 
 #Forms
 FORMS += ui/mainwindow.ui \
-	ui/settingsdialog.ui
+    ui/settingsdialog.ui
 
 #Resource file(s)
 RESOURCES += resources/common.qrc \
-	l10n/l10n.qrc
+    l10n/l10n.qrc
 
 handheld {
-	RESOURCES += resources/handheld.qrc
+    RESOURCES += resources/handheld.qrc
 } else {
-	RESOURCES += resources/desktop.qrc
+    RESOURCES += resources/desktop.qrc
 }
 
 win* {
-	RC_FILE = resources/tspsg.rc
+    RC_FILE = resources/tspsg.rc
 }
 
@@ -53,15 +53,15 @@
 CODECFORTR = UTF-8
 TRANSLATIONS += l10n/template.ts \
-	l10n/tspsg_en.ts \
-	l10n/tspsg_ru.ts \
-	l10n/tspsg_uk.ts
+    l10n/tspsg_en.ts \
+    l10n/tspsg_ru.ts \
+    l10n/tspsg_uk.ts
 
 !nopch {
-	# Precompiled header
-	PRECOMPILED_HEADER = src/pch.h
+    # Precompiled header
+    PRECOMPILED_HEADER = src/pch.h
 }
 
 _t_t_l_ {
-	DEFINES += _T_T_L_
-	HEADERS += src/_.h
+    DEFINES += _T_T_L_
+    HEADERS += src/_.h
 }
Index: tspsg.pro
===================================================================
--- tspsg.pro	(revision 5631fb4d50bf31e26bec1f43169bd84c9058bd05)
+++ tspsg.pro	(revision d8a3826f870afc2e79ce949111e1726c49002f46)
@@ -12,11 +12,11 @@
 
 !nosvg {
-	QT += svg
+    QT += svg
 } else {
-	DEFINES += NOSVG
+    DEFINES += NOSVG
 }
 
 wincewm*|symbian|maemo*|simulator {
-	CONFIG += handheld
+    CONFIG += handheld
 }
 
@@ -29,5 +29,5 @@
 QMAKE_TARGET_PRODUCT = TSP Solver and Generator
 QMAKE_TARGET_DESCRIPTION = TSPSG: TSP Solver and Generator
-QMAKE_TARGET_COPYRIGHT = Copyright © 200-20110 Oleksii "Lёppa" Serdiuk <contacts[at]oleksii[dot]name>
+QMAKE_TARGET_COPYRIGHT = Copyright © 2010-2011 Oleksii "Lёppa" Serdiuk <contacts[at]oleksii[dot]name>
 
 # Versioning
@@ -43,51 +43,51 @@
 #REVISION = 145
 isEmpty(REVISION) {
-	REVISION = $$system(svnversion)
+    REVISION = $$system(svnversion)
 }
 isEmpty(REVISION)|isEqual(REVISION,exported) {
-	REVISION = 0
+    REVISION = 0
 } else {
-	REVISION = $$replace(REVISION,":","")
-	REVISION = $$replace(REVISION,"M","")
+    REVISION = $$replace(REVISION,":","")
+    REVISION = $$replace(REVISION,"M","")
 }
 SHORT_VERSION = $$sprintf("%1.%2",$$BUILD_VERSION_MAJOR,$$BUILD_VERSION_MINOR)
 win32-msvc*|wincewm* {
-	VERSION = $$SHORT_VERSION
+    VERSION = $$SHORT_VERSION
 } else {
-	VERSION = $$sprintf("%1.%2",$$SHORT_VERSION,$$BUILD_RELEASE)
+    VERSION = $$sprintf("%1.%2",$$SHORT_VERSION,$$BUILD_RELEASE)
 }
 
 DEFINES += BUILD_VERSION_MAJOR=$$BUILD_VERSION_MAJOR \
-	BUILD_VERSION_MINOR=$$BUILD_VERSION_MINOR \
-	BUILD_RELEASE=$$BUILD_RELEASE \
-	BUILD_NUMBER=$$REVISION
+    BUILD_VERSION_MINOR=$$BUILD_VERSION_MINOR \
+    BUILD_RELEASE=$$BUILD_RELEASE \
+    BUILD_NUMBER=$$REVISION
 
 # A hack to determine whether we have static or dynamic Qt build
 macx {
-	PRL = $$[QT_INSTALL_LIBS] QtCore.framework QtCore.prl
+    PRL = $$[QT_INSTALL_LIBS] QtCore.framework QtCore.prl
 } else:symbian|maemo* {
-	# Nothing here
+    # Nothing here
 } else:unix {
-	PRL = $$[QT_INSTALL_LIBS] libQtCore.prl
+    PRL = $$[QT_INSTALL_LIBS] libQtCore.prl
 } else {
-	PRL = $$[QT_INSTALL_LIBS] QtCore.prl
+    PRL = $$[QT_INSTALL_LIBS] QtCore.prl
 }
 !isEmpty(PRL) {
-	include($$join(PRL, "/"))
-	contains(QMAKE_PRL_CONFIG, static) {
-		# We "embed" SVG icon support on static build
-		DEFINES += STATIC_BUILD
+    include($$join(PRL, "/"))
+    contains(QMAKE_PRL_CONFIG, static) {
+        # We "embed" SVG icon support on static build
+        DEFINES += STATIC_BUILD
 #		!nosvg:QTPLUGIN += qsvgicon
-	}
+    }
 }
 
 CONFIG(release, debug|release) {
-	OBJECTS_DIR = release
-	D =
+    OBJECTS_DIR = release
+    D =
 } else {
-	OBJECTS_DIR = debug
-	DEFINES += DEBUG
+    OBJECTS_DIR = debug
+    DEFINES += DEBUG
 #	CONFIG += console
-	D = d
+    D = d
 }
 DESTDIR = bin
@@ -101,5 +101,5 @@
 # Include 3rd party libraries
 !handheld {
-	include(src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.pri)
+    include(src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.pri)
 }
 
